.mimi-modal {
  display: none;
}

.single-blog {
  overflow: visible;
}

.blog-wrapper {
  padding-top: 20px;
  color: var(--brown);
  display: flex;
  flex-direction: column;
  margin-bottom: 160px;
}

.mimi-breadcrumbs {
  margin-bottom: 32px;
  color: #593e3c;

  font-size: var(--fs-16);
  font-style: normal;
  font-weight: 600;
  line-height: 140%; /* 22.4px */
  display: flex;
}

.blog-title {
  color: #593e3c;
  font-family: "Circe", "Manrope";
  font-size: var(--fs-40);
  font-style: normal;
  font-weight: 400;
  line-height: 120%; /* 48px */
  letter-spacing: -0.8px;
  margin-bottom: 32px;
}

.blogs {
  display: grid;
  flex-wrap: wrap;
  row-gap: 40px;
  column-gap: 20px;

  grid-template-columns: repeat(4, 1fr);
  grid-auto-flow: dense;
  margin-bottom: 60px;
}

h3.blog-title {
  color: #593e3c;
  font-family: Manrope;
  font-size: var(--fs-18);
  font-style: normal;
  font-weight: 600;
  line-height: 140%; /* 25.2px */
}

.blog-date {
  color: rgba(89, 62, 60, 0.48);
  font-family: Manrope;
  font-size: var(--fs-14);
  font-style: normal;
  font-weight: 300;
  line-height: 140%; /* 19.6px */
}

.blog-section .blog a {
  display: flex;
  flex-direction: column;
  gap: 12px;
}

.blog-img {
  width: 100%;
  border-radius: 32px;
  height: 484px;
  object-fit: cover;
  object-position: center;
  display: block;
  object-position: top;
}

.blog.big {
  grid-column: span 2;
}

/*single post page*/

.single-wrapper {
  padding-top: 20px;
  color: var(--brown);
}

.single-wrap {
  margin-top: 32px;
  display: flex;
  width: 100%;
}

.single-featured img {
  min-width: 100%;
  height: 484px;
  object-fit: cover;
  display: block;
  margin: 0 auto 40px;
  border-radius: 32px;
}

.single-date {
  display: block;
  text-align: right;
  /* opacity: 0.6; */
  margin-bottom: 24px;
  color: rgba(89, 62, 60, 0.48);
  font-family: Manrope;
  font-size: var(--fs-16);
}

.related-posts-wrapper {
  color: var(--brown);
  /* padding-top: 80px; */
  padding-bottom: 80px;
}

.related-grid {
  display: flex;
  flex-wrap: wrap;
  gap: 24px;
}

.related-item {
  width: calc(25% - 18px);
}

.related-item img {
  width: 100%;
  height: 200px;
  object-fit: cover;
  border-radius: 16px;
  display: block;
}

.single-top-flex {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  margin-bottom: 32px;
  /* flex-wrap: wrap; */
  width: 100%;
  column-gap: 5%;
}

.single-left {
  display: flex;
  position: sticky;
  top: 100px;
  gap: 16px;
  flex-direction: column;
  width: 20%;
}
.socials.blog-social {
  flex-wrap: wrap !important;
  margin-right: 0px !important;
  row-gap: 16px;
}

.single-socials-span {
  color: rgba(89, 62, 60, 0.42);
  font-size: var(--fs-16);
  margin-right: auto;
  font-style: normal;
  font-weight: 600;
  line-height: 140%;
  width: 100%;
  /* margin-right: auto; */
  text-align: left;
}

.single-right {
  text-align: right;
  width: 20%;
}

.single-wrap .single-post {
  text-align: center;
  width: 50%;
}

.single-wrap .single-post h1 {
  text-align: left;
  color: #593e3c;
  font-family: "Circle", "Manrope";
  font-size: var(--fs-40);
  font-style: normal;
  font-weight: 400;
  line-height: 120%; /* 48px */
  letter-spacing: -0.8px;
  margin: 0 auto 24px;
}

.single-wrap .single-post .single-content p {
  color: #593e3c;
  font-size: var(--fs-18);
  font-style: normal;
  font-weight: 400;
  line-height: 140%; /* 25.2px */
  text-align: justify;
  margin: 0 auto 60px;
}
/* .single-wrap .single-post .single-content p {
  border-radius: 32px;
} */

/* .related-slide {
  background: white;
  border-radius: 24px;
  padding-bottom: 24px;
  overflow: hidden;
} */

/* .related-slide img {
  width: 100%;
  height: 240px;
  object-fit: cover;
  border-radius: 24px;
  margin-bottom: 18px;
} */

.single-content img {
  width: 100%;
  max-width: 455px;
  aspect-ratio: 455 / 484;
  object-fit: cover;
  border-radius: 32px;
}

.single-content .alignnone {
  display: inline-block;
  width: calc(50% - 10px);
  margin-right: 20px;
}

.single-content .alignnone:last-child {
  margin-right: 0;
}

.related-date {
  font-size: var(--fs-14);
  opacity: 0.5;
  display: block;
  padding: 0 12px;
  margin-bottom: 8px;
}

.related-name {
  font-size: var(--fs-18);
  padding: 0 12px;
  color: var(--brown);
  font-weight: 500;
}

.related-button-next,
.related-button-prev {
  background: white !important;
}

.related-item {
  width: 100%;
  /* ваші стилі для слайдів тут, можна задавати max-width якщо треба */
}

.related-item a {
  display: flex;
  flex-direction: column;
  gap: 12px;
  width: 100%;
}
.related-item img {
  width: 100%;
  object-fit: cover;
  border-radius: 16px;
}

.related-posts .blog-img,
.related-posts .related-item img {
  height: auto;
  max-height: none;
  object-fit: cover;
  width: 100%;
  border-radius: 32px;
  display: block;
  aspect-ratio: 1;
}

.related-button-prev,
.related-button-next {
  position: static !important;
}

.related-nav-controls {
  display: inline-flex;
}

.related-title {
  display: block;
  font-size: var(--fs-40);
  font-family: "Circe";
  font-weight: 400;
}

.copy-toast {
  position: fixed;
  bottom: 77%;
  left: 15%;
  transform: translateX(-50%) translateY(10px);
  background: #593e3c;
  color: #fff;
  padding: 10px 18px;
  border-radius: 30px;
  font-size: var(--fs-14);

  opacity: 0;
  visibility: hidden;
  pointer-events: none;

  transition: all 0.3s ease;
  z-index: 100;
}

.copy-toast.show {
  opacity: 1;
  visibility: visible;
  transform: translateX(-50%) translateY(0);
}

.related-posts-wrapper .related-header-row {
  display: flex;
  margin-bottom: 32px;
}

.related-posts-wrapper .related-header-row .related-nav-controls {
  margin-left: auto;
}

.related-posts-wrapper
  .related-header-row
  .related-nav-controls
  .swiper-button-next,
.related-posts-wrapper
  .related-header-row
  .related-nav-controls
  .swiper-button-prev {
  margin-top: 0;
}
.blog-more {
  display: flex;
  justify-content: center;
  margin-top: 40px;
}

/* .blog-more-btn {
  display: inline-flex;
  align-items: center;
  justify-content: center;

  padding: 19px 32px;
  gap: 10px;

  border-radius: 100px;
  background: #fff;

  font-family: Manrope;
  font-size: var(--fs-14);
  font-weight: 600;
  color: #593e3c;

  transition: 0.2s ease;
}

.blog-more-btn:hover {
  background-color: var(--brown);
  color: white;
} */

.single .related-swiper {
  width: 100%;
}

/* --------------------------------------------------------------------------------------------------------1470px*/
@media (max-width: 1470px) {
  .blog-wrapper {
    padding-top: 20px;

    margin-bottom: 140px;
  }

  h2.blog-title {
    font-size: var(--fs-28);
    margin-bottom: 24px;
  }

  .blog-img {
    height: 356px;
    border-radius: 24px;
  }
  h3.blog-title {
    font-size: var(--fs-16);
  }
  .single-socials-span {
    font-size: var(--fs-14);
  }
  .single-date {
    font-size: var(--fs-14);
  }
  .single-featured img {
    max-width: 100%;
    height: 360px;

    margin: 0 auto 32px;
    border-radius: 24px;
  }
  .single-wrap .single-post h1 {
    font-size: var(--fs-28);
  }
  .single-wrap .single-post .single-content p {
    font-size: var(--fs-16);

    margin: 0 auto 40px;
  }
  .single-content img {
    max-width: 355px;

    border-radius: 24px;
  }
  .related-title {
    font-size: var(--fs-28) !important;
  }
}

/* --------------------------------------------------------------------------------------------------------1024px*/
@media (max-width: 1024px) {
  .blog-wrapper {
    margin-bottom: 100px;
  }

  .mimi-breadcrumbs {
    margin-bottom: 24px;
    font-size: var(--fs-14);
  }
  h2.blog-title {
    font-size: var(--fs-24);
  }

  .blog-img {
    height: 260px;
    border-radius: 16px;
  }
  .blogs {
    column-gap: 10px;
    row-gap: 32px;
    margin-top: 40px;
  }

  .blog-date {
    font-size: var(--fs-12);
  }
  h3.blog-title {
    font-size: var(--fs-14);
  }
  .single-date {
    font-size: var(--fs-12);
  }
  /* .single-featured img {
    height: 260px;
    margin: 0 auto 24px;
    border-radius: 16px;
  } */
  .single-wrap .single-post h1 {
    font-size: var(--fs-24);
    margin-bottom: 14px;
  }
  .single-wrap .single-post .single-content p {
    font-size: var(--fs-14);

    margin: 0 auto 40px;
  }
  .single-content img {
    max-width: 305px;

    border-radius: 16px;
  }
  .blog-social a svg {
    width: 48px;
    height: 48px;
  }
  .related-posts-wrapper .related-header-row {
    margin-bottom: 24px;
  }
  .related-title {
    font-size: 15.25rem;
    font-size: var(--fs-24) !important;
  }
  .related-item a {
    gap: 12px;
  }
}

/* --------------------------------------------------------------------------------------------------------768px*/

@media (max-width: 768px) {
  /* li.blog {
    width: auto;
    min-width: 244px;
  } */

  .single-wrapper {
    padding-left: 20px;
    max-width: 768px;
    padding-right: 20px;
  }
  .blogs {
    row-gap: 24px;
    column-gap: 10px;

    grid-template-columns: repeat(3, 1fr);
  }

  .single-top-flex {
    flex-wrap: wrap;
    width: 100%;
  }

  .single-left {
    order: 3;
    width: 100%;
    text-align: left;
  }
  .single-right {
    order: 1;
    width: 100%;
  }
  .single-date {
    text-align: left;
  }
  .single-wrap .single-post {
    order: 2;
    width: 65%;
    margin: 0 auto;
  }
  .mimi-breadcrumbs span:last-child {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  max-width: 420px;
  display: inline-block;
}
}

/* --------------------------------------------------------------------------------------------------------425px*/

@media (max-width: 425px) {
  .single-wrapper {
    padding-left: 10px;
    max-width: 768px;
    padding-right: 10px;
  }

  .blog-wrapper {
    margin-bottom: 80px;
  }

  .blogs {
    grid-template-columns: 1fr;
    grid-auto-flow: row;
  }
  .blog.big {
    grid-column: span 1 !important;
  }

  .blog-img {
    width: 100%;
    border-radius: 24px;
    height: 377px;
  }
  .single-content img {
    border-radius: 16px;
  }
  .single-wrap .single-post {
    order: 2;
    width: 100%;
    margin: 0 auto;
  }
  .single-wrap .single-post .single-content p {
    font-size: var(--fs-14);
    margin: 0 auto 24px;
  }

  .mimi-breadcrumbs {
    font-size: var(--fs-12);
  }
  .related-item a {
    row-gap: 6px;
  }
  .related-posts-wrapper .related-header-row .related-nav-controls {
    margin-left: auto;
    height: 48px;
    width: 90px;
    margin-top: -15px;
  }
  .related-posts-wrapper
    .related-header-row
    .related-nav-controls
    .swiper-button-next,
  .related-posts-wrapper
    .related-header-row
    .related-nav-controls
    .swiper-button-prev {
    height: 48px !important;
    width: 45px !important;
  }
}
